<app-header [buttonTitle]="'Ολοκλήρωση'" [buttonIcon]="'check'" [title]="title" (action)="complete()" [hasAction]="isPending"></app-header>

<div [style.height.px]="tableHeight" style="overflow-y: auto;">
  <mat-table [dataSource]="items" class="mat-elevation-z0" style="background-color: transparent;">

    <ng-container matColumnDef="image">
      <mat-header-cell *matHeaderCellDef></mat-header-cell>
      <mat-cell *matCellDef="let element">

        <div *ngIf="element.image">
          <img [src]="domSanitizer.bypassSecurityTrustResourceUrl(element.image)" alt="category" style="width: 100px; height: 100px;"/>
        </div>
        <div *ngIf="!element.image" class="image">
          <mat-icon>
            category
          </mat-icon>
        </div>

      </mat-cell>
    </ng-container>

    <ng-container matColumnDef="id">
      <mat-header-cell *matHeaderCellDef>ID</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.id}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="name">
      <mat-header-cell *matHeaderCellDef>Κατηγορία</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.name}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="comments">
      <mat-header-cell *matHeaderCellDef>Σχόλια</mat-header-cell>
      <mat-cell *matCellDef="let element">{{element.comments}}</mat-cell>
    </ng-container>

    <mat-header-row  *matHeaderRowDef="displayedColumns sticky: true"></mat-header-row>
    <mat-row  *matRowDef="let row; columns: displayedColumns; "></mat-row>

  </mat-table>
</div>
